      SUBROUTINE GSPLNECT(N,X,Y,DX,DY)
      PARAMETER (NMAX=1000)
      REAL*4    X(*),Y(*)
      INTEGER*2 IXY(0:1,0:NMAX)
      logical*4 dehors,trestresloin
      INCLUDE 'Parametres.f'
C
      if (gardefou) then
        dehors = .true.
        do i=1,n
          dehors = dehors.and.trestresloin(x(i)+dx,y(i)+dy)
        enddo
        if (dehors) return
      endif
Cfj      ixy(0,0) = int2(nint(origine_x + facteur_en_x*(X(n)+dx)))
Cfj      ixy(1,0) = int2(nint(origine_y + facteur_en_y*(Y(n)+dy)))
      ixy(0,0) = nint(origine_x + facteur_en_x*(X(n)+dx))
      ixy(1,0) = nint(origine_y + facteur_en_y*(Y(n)+dy))
      do i=1,n               
Cfj        IXY(0,i) = INT2(nint(origine_x + facteur_en_x*(X(i)+dx)))
Cfj        IXY(1,i) = INT2(nint(origine_y + facteur_en_y*(Y(i)+dy)))
        IXY(0,i) = nint(origine_x + facteur_en_x*(X(i)+dx))
        IXY(1,i) = nint(origine_y + facteur_en_y*(Y(i)+dy))
      enddo
      call x11polyligne(IXY(0,0),n+1)
      END 
